Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class TemplateRenderer

    java.lang.Object
      org.hibernate.dialect.function.TemplateRenderer

    public class TemplateRenderer

extends Object

Delegate for handling function "templates".

Constructor Summary
`TemplateRenderer(String template)`

Method Summary
`int` | `getAnticipatedNumberOfArguments()`
`String` | `getTemplate()`
`String` | `render(List args, SessionFactoryImplementor factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateRenderer

    public TemplateRenderer(String template)

Method Detail

### getTemplate

    public String getTemplate()

### getAnticipatedNumberOfArguments

    public int getAnticipatedNumberOfArguments()

### render

    public String render(List args,
                         SessionFactoryImplementor factory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.